Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.renderer.category
Class CategoryStepRenderer.State

    java.lang.Object
      org.jfree.chart.renderer.RendererState
          org.jfree.chart.renderer.category.CategoryItemRendererState
              org.jfree.chart.renderer.category.CategoryStepRenderer.State

Enclosing class:
  CategoryStepRenderer

    protected static class CategoryStepRenderer.State

extends CategoryItemRendererState

State information for the renderer.

Field Summary
`java.awt.geom.Line2D` | `line` A working line for re-use to avoid creating large numbers of objects.

Constructor Summary
`CategoryStepRenderer.State(PlotRenderingInfo info)` Creates a new state instance.

Method Summary

Methods inherited from class org.jfree.chart.renderer.category.CategoryItemRendererState
`getBarWidth, getCrosshairState, getSeriesRunningTotal, getVisibleSeriesArray, getVisibleSeriesCount, getVisibleSeriesIndex, setBarWidth, setCrosshairState, setVisibleSeriesArray`

Methods inherited from class org.jfree.chart.renderer.RendererState
`getEntityCollection, getInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### line

    public java.awt.geom.Line2D line

  A working line for re-use to avoid creating large numbers of objects.

Constructor Detail

### CategoryStepRenderer.State

    public CategoryStepRenderer.State(PlotRenderingInfo info)

  Creates a new state instance.

  Parameters:
    `info` - collects plot rendering information (`null` permitted).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.